Seller Group

Get seller group count

get
/vendor-group/vendor-group-count

Retrieves the count of all seller groups

Responses
get
/vendor-group/vendor-group-count

Get vendor category list

get
/category

Retrieves the list of vendor categories with optional filters

Query parameters
limitintegerOptional

Number of categories to return

offsetintegerOptional

The offset for pagination

countintegerOptional

Whether to return the count of categories

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
get
/category

Get vendor group details

get
/vendor-group/vendor-group-details/{id}

Retrieves the details of a specific vendor group by its ID

Path parameters
idintegerRequired

ID of the vendor group

Query parameters
idintegerRequired

ID of the vendor group

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
get
/vendor-group/vendor-group-details/{id}

Update vendor group

put
/vendor-group/{id}

Updates the details of a specific vendor group by its ID

Path parameters
idintegerRequired

ID of the vendor group

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringOptionalExample: test
commissionstringOptionalExample: 3.00
categoryIdsinteger[]OptionalExample: [1424]
statusintegerOptionalExample: 1
groupIdstringOptionalExample: 39
Responses
put
/vendor-group/{id}

Delete vendor group

delete
/vendor-group/{id}

Deletes a specific vendor group identified by its ID

Path parameters
idintegerRequired

ID of the vendor group to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
delete
/vendor-group/{id}

Last updated